package com.ruoyi.project.sems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 压力容器报告历史对象 t_report_hi_ylrq
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public class TReportHiYlrq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 压力容器年检reportID */
    private Long reportId;

    /** 装置名称 */
    private String plantCode;

    /** 单元 */
    private String unit;

    /** 位号 */
    private String devno;

    /** 名称 */
    private String devname;

    /** 使用证号码 */
    private String useno;

    /** 注册代码 */
    private String regno;

    /** 介质 */
    private String medium;

    /** 设计压力 */
    private String desPressure;

    /** 设计温度 */
    private String desTemp;

    /** 操作压力 */
    private String optPressure;

    /** 操作温度 */
    private String optTemp;

    /** 安全状况等级 */
    private String safeClass;

    /** 下次定期检验日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date nextWarnDate;

    /** 年检报告编号 */
    private String yearReportNo;

    /** 1 */
    private String pj1;

    /** 2 */
    private String pj2;

    /** 3 */
    private String pj3;

    /** 4 */
    private String pj4;

    /** 5 */
    private String pj5;

    /** 6 */
    private String pj6;

    /** 7 */
    private String pj7;

    /** 8 */
    private String pj8;

    /** 9 */
    private String pj9;

    /** 10 */
    private String pj10;

    /** 11 */
    private String pj11;

    /** 12 */
    private String pj12;

    /** 13 */
    private String pj13;

    /** 14 */
    private String pj14;

    /** 15 */
    private String pj15;

    /** 16 */
    private String pj16;

    /** 17 */
    private String pj17;

    /** 18 */
    private String pj18;

    /** 19 */
    private String pj19;

    /** 20 */
    private String pj20;

    /** 21 */
    private String pj21;

    /** 22 */
    private String pj22;

    /** 23 */
    private String pj23;

    /** 24 */
    private String pj24;

    /** 25 */
    private String pj25;

    /** 26 */
    private String pj26;

    /** 27 */
    private String pj27;

    /** 28 */
    private String pj28;

    /** 29 */
    private String pj29;

    /** 30 */
    private String pj30;

    /** 31 */
    private String pj31;

    /** 32 */
    private String pj32;

    /** 备注 */
    private String remarks;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date checkDate;

    /** 下次年度检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date nextCheckDate;

    /** 问题及处理 */
    private String problem;

    /** 检查结论 */
    private String con;

    /** 生成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date buildDate;

    /** 审批bussinessykey */
    private String approveId;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    private Date updatedate;

    private String reportUrl;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId() {
        return reportId;
    }

    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setDevname(String devname)
    {
        this.devname = devname;
    }

    public String getDevname()
    {
        return devname;
    }
    public void setUseno(String useno)
    {
        this.useno = useno;
    }

    public String getUseno()
    {
        return useno;
    }
    public void setRegno(String regno)
    {
        this.regno = regno;
    }

    public String getRegno()
    {
        return regno;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setDesPressure(String desPressure)
    {
        this.desPressure = desPressure;
    }

    public String getDesPressure()
    {
        return desPressure;
    }
    public void setDesTemp(String desTemp)
    {
        this.desTemp = desTemp;
    }

    public String getDesTemp()
    {
        return desTemp;
    }
    public void setOptPressure(String optPressure)
    {
        this.optPressure = optPressure;
    }

    public String getOptPressure()
    {
        return optPressure;
    }
    public void setOptTemp(String optTemp)
    {
        this.optTemp = optTemp;
    }

    public String getOptTemp()
    {
        return optTemp;
    }
    public void setSafeClass(String safeClass)
    {
        this.safeClass = safeClass;
    }

    public String getSafeClass()
    {
        return safeClass;
    }
    public void setNextWarnDate(Date nextWarnDate)
    {
        this.nextWarnDate = nextWarnDate;
    }

    public Date getNextWarnDate()
    {
        return nextWarnDate;
    }
    public void setYearReportNo(String yearReportNo)
    {
        this.yearReportNo = yearReportNo;
    }

    public String getYearReportNo()
    {
        return yearReportNo;
    }
    public void setPj1(String pj1)
    {
        this.pj1 = pj1;
    }

    public String getPj1()
    {
        return pj1;
    }
    public void setPj2(String pj2)
    {
        this.pj2 = pj2;
    }

    public String getPj2()
    {
        return pj2;
    }
    public void setPj3(String pj3)
    {
        this.pj3 = pj3;
    }

    public String getPj3()
    {
        return pj3;
    }
    public void setPj4(String pj4)
    {
        this.pj4 = pj4;
    }

    public String getPj4()
    {
        return pj4;
    }
    public void setPj5(String pj5)
    {
        this.pj5 = pj5;
    }

    public String getPj5()
    {
        return pj5;
    }
    public void setPj6(String pj6)
    {
        this.pj6 = pj6;
    }

    public String getPj6()
    {
        return pj6;
    }
    public void setPj7(String pj7)
    {
        this.pj7 = pj7;
    }

    public String getPj7()
    {
        return pj7;
    }
    public void setPj8(String pj8)
    {
        this.pj8 = pj8;
    }

    public String getPj8()
    {
        return pj8;
    }
    public void setPj9(String pj9)
    {
        this.pj9 = pj9;
    }

    public String getPj9()
    {
        return pj9;
    }
    public void setPj10(String pj10)
    {
        this.pj10 = pj10;
    }

    public String getPj10()
    {
        return pj10;
    }
    public void setPj11(String pj11)
    {
        this.pj11 = pj11;
    }

    public String getPj11()
    {
        return pj11;
    }
    public void setPj12(String pj12)
    {
        this.pj12 = pj12;
    }

    public String getPj12()
    {
        return pj12;
    }
    public void setPj13(String pj13)
    {
        this.pj13 = pj13;
    }

    public String getPj13()
    {
        return pj13;
    }
    public void setPj14(String pj14)
    {
        this.pj14 = pj14;
    }

    public String getPj14()
    {
        return pj14;
    }
    public void setPj15(String pj15)
    {
        this.pj15 = pj15;
    }

    public String getPj15()
    {
        return pj15;
    }
    public void setPj16(String pj16)
    {
        this.pj16 = pj16;
    }

    public String getPj16()
    {
        return pj16;
    }
    public void setPj17(String pj17)
    {
        this.pj17 = pj17;
    }

    public String getPj17()
    {
        return pj17;
    }
    public void setPj18(String pj18)
    {
        this.pj18 = pj18;
    }

    public String getPj18()
    {
        return pj18;
    }
    public void setPj19(String pj19)
    {
        this.pj19 = pj19;
    }

    public String getPj19()
    {
        return pj19;
    }
    public void setPj20(String pj20)
    {
        this.pj20 = pj20;
    }

    public String getPj20()
    {
        return pj20;
    }
    public void setPj21(String pj21)
    {
        this.pj21 = pj21;
    }

    public String getPj21()
    {
        return pj21;
    }
    public void setPj22(String pj22)
    {
        this.pj22 = pj22;
    }

    public String getPj22()
    {
        return pj22;
    }
    public void setPj23(String pj23)
    {
        this.pj23 = pj23;
    }

    public String getPj23()
    {
        return pj23;
    }
    public void setPj24(String pj24)
    {
        this.pj24 = pj24;
    }

    public String getPj24()
    {
        return pj24;
    }
    public void setPj25(String pj25)
    {
        this.pj25 = pj25;
    }

    public String getPj25()
    {
        return pj25;
    }
    public void setPj26(String pj26)
    {
        this.pj26 = pj26;
    }

    public String getPj26()
    {
        return pj26;
    }
    public void setPj27(String pj27)
    {
        this.pj27 = pj27;
    }

    public String getPj27()
    {
        return pj27;
    }
    public void setPj28(String pj28)
    {
        this.pj28 = pj28;
    }

    public String getPj28()
    {
        return pj28;
    }
    public void setPj29(String pj29)
    {
        this.pj29 = pj29;
    }

    public String getPj29()
    {
        return pj29;
    }
    public void setPj30(String pj30)
    {
        this.pj30 = pj30;
    }

    public String getPj30()
    {
        return pj30;
    }
    public void setPj31(String pj31)
    {
        this.pj31 = pj31;
    }

    public String getPj31()
    {
        return pj31;
    }
    public void setPj32(String pj32)
    {
        this.pj32 = pj32;
    }

    public String getPj32()
    {
        return pj32;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setNextCheckDate(Date nextCheckDate)
    {
        this.nextCheckDate = nextCheckDate;
    }

    public Date getNextCheckDate()
    {
        return nextCheckDate;
    }
    public void setProblem(String problem)
    {
        this.problem = problem;
    }

    public String getProblem()
    {
        return problem;
    }
    public void setCon(String con)
    {
        this.con = con;
    }

    public String getCon()
    {
        return con;
    }
    public void setBuildDate(Date buildDate)
    {
        this.buildDate = buildDate;
    }

    public Date getBuildDate()
    {
        return buildDate;
    }
    public void setApproveId(String approveId)
    {
        this.approveId = approveId;
    }

    public String getApproveId()
    {
        return approveId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }

    public String getReportUrl() {
        return reportUrl;
    }

    public void setReportUrl(String reportUrl) {
        this.reportUrl = reportUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("reportId", getReportId())
            .append("plantCode", getPlantCode())
            .append("unit", getUnit())
            .append("devno", getDevno())
            .append("devname", getDevname())
            .append("useno", getUseno())
            .append("regno", getRegno())
            .append("medium", getMedium())
            .append("desPressure", getDesPressure())
            .append("desTemp", getDesTemp())
            .append("optPressure", getOptPressure())
            .append("optTemp", getOptTemp())
            .append("safeClass", getSafeClass())
            .append("nextWarnDate", getNextWarnDate())
            .append("yearReportNo", getYearReportNo())
            .append("pj1", getPj1())
            .append("pj2", getPj2())
            .append("pj3", getPj3())
            .append("pj4", getPj4())
            .append("pj5", getPj5())
            .append("pj6", getPj6())
            .append("pj7", getPj7())
            .append("pj8", getPj8())
            .append("pj9", getPj9())
            .append("pj10", getPj10())
            .append("pj11", getPj11())
            .append("pj12", getPj12())
            .append("pj13", getPj13())
            .append("pj14", getPj14())
            .append("pj15", getPj15())
            .append("pj16", getPj16())
            .append("pj17", getPj17())
            .append("pj18", getPj18())
            .append("pj19", getPj19())
            .append("pj20", getPj20())
            .append("pj21", getPj21())
            .append("pj22", getPj22())
            .append("pj23", getPj23())
            .append("pj24", getPj24())
            .append("pj25", getPj25())
            .append("pj26", getPj26())
            .append("pj27", getPj27())
            .append("pj28", getPj28())
            .append("pj29", getPj29())
            .append("pj30", getPj30())
            .append("pj31", getPj31())
            .append("pj32", getPj32())
            .append("remarks", getRemarks())
            .append("checkDate", getCheckDate())
            .append("nextCheckDate", getNextCheckDate())
            .append("problem", getProblem())
            .append("con", getCon())
            .append("buildDate", getBuildDate())
            .append("approveId", getApproveId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
